package com.xisc.pm.infra.repository.impl;

import org.apache.commons.collections.CollectionUtils;
import org.hzero.mybatis.base.impl.BaseRepositoryImpl;
import org.springframework.stereotype.Component;
import com.xisc.pm.domain.entity.PmSdivStLimitBtTra;
import com.xisc.pm.domain.repository.PmSdivStLimitBtTraRepository;
import com.xisc.pm.infra.mapper.PmSdivStLimitBtTraMapper;

import javax.annotation.Resource;
import java.util.List;

/**
 * 剖分组板钢种限制表履历表(PmSdivStLimitBtTra)资源库
 *
 * @author 纪文桃 wentao.ji01@hand-china.com
 * @since 2024-07-25 08:15:56
 */
@Component
public class PmSdivStLimitBtTraRepositoryImpl extends BaseRepositoryImpl<PmSdivStLimitBtTra> implements PmSdivStLimitBtTraRepository {
    @Resource
    private PmSdivStLimitBtTraMapper pmSdivStLimitBtTraMapper;

    @Override
    public List<PmSdivStLimitBtTra> selectList(PmSdivStLimitBtTra pmSdivStLimitBtTra) {
        return pmSdivStLimitBtTraMapper.selectList(pmSdivStLimitBtTra);
    }

    @Override
    public PmSdivStLimitBtTra selectByPrimary(Long traId) {
        PmSdivStLimitBtTra pmSdivStLimitBtTra = new PmSdivStLimitBtTra();
        pmSdivStLimitBtTra.setTraId(traId);
        List<PmSdivStLimitBtTra> pmSdivStLimitBtTras = pmSdivStLimitBtTraMapper.selectList(pmSdivStLimitBtTra);
        if (CollectionUtils.isEmpty(pmSdivStLimitBtTras)) {
            return null;
        }
        return pmSdivStLimitBtTras.get(0);
    }
}
